openmsx (21.0+dfsg-2ubuntu1) resolute; urgency=medium

  * dpkg-buildflags.diff: do not strip -Wl, from LDFLAGS (LP: #2137455)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 05 Jan 2026 12:24:48 +0100

openmsx (21.0+dfsg-2) unstable; urgency=medium

  * Applied patch from Simon McVittie to fix build flags. (Closes: 1015568)
  * Updated Standards-Version to 4.7.3.
  * Removed Priority from debian/control.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 29 Dec 2025 14:41:13 +0100

openmsx (21.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1114756, #1121755)
  * Removed and updated patches that were (partially) applied upstream.
  * Updated Standards-Version to 4.7.2. (No changes needed.)
  * Removed Suggests for obsolete openmsx-catapult and openmsx-debugger.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 14 Dec 2025 02:30:41 +0100

openmsx (20.0+dfsg-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix build failure with GCC 14.3/15.1. See PR libstdc++/120415 (closed as
    invalid). The code claims to be c++20 compliant, but isn't. This is already
    fixed upstream ("Replace our remaining 'view's with 'std::views'").
    Closes: #1106355.

 -- Matthias Klose <doko@debian.org>  Fri, 23 May 2025 18:56:41 +0200

openmsx (20.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add back the changelog for the NMU done in 19.1+dfsg-1.1
  * Source only reupload to allow testing migration (Closes: #1100133)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Mar 2025 07:19:51 +0100

openmsx (20.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1069797)
  * Update watch file to run uupdate.
  * Specify C++20 in Makefile of dmktools.
  * Update and remove obsolete entries from debian/copyright.
  * Remove executable flag from data file.
  * Update standards-version to 4.7.0. No changes needed. 
  * Remove -m argument from compiler command line. (Closes: #889863)
  * Add link time optimization flags in upstream build system, and explicitly
    do not also add them through the debian/rules variable.
  * Disable the link time optimization flags because of compile errors.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 09 Mar 2025 09:01:44 +0100

openmsx (19.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ wuruilong <wuruilong@loongson.cn> ]
  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Cherry-pick upstream patch to support loongarch64 (Closes: #1069797)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Mar 2025 13:39:47 +0100

openmsx (19.1+dfsg-1) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Override spurious source-is-missing Lintian errors.
  * Don't build-depend on dpkg-dev, it's guaranteed to be installed in a
    Debian build environment.
  * Repack the upstream tarball to remove prebuilt binaries lacking source
    code. (Closes: #1056780)
  * Set 'DEB_BUILD_MAINT_OPTIONS = hardening=+all' in debian/rules.
  * Remove debian/source/include-binaries, every file listed in it doesn't
    exist.
  * Set 'Rules-Requires-Root: no' in debian/control.
  * Use debhelper 13 rather than debhelper 10.
    - Changed "debhelper (>= 10)" to "debhelper-compat (= 13)" in
      debian/control.
    - Deleted debian/compat.
  * Override spurious package-contains-documentation-outside-usr-share-doc
    Lintian gripes.
  * Created debian/upstream/metadata file.
  * Switch back to using vendored catch2, the catch2 Debian package now ships
    catch2 v3 whereas openMSX uses catch2 v2.
  * Overhauled copyright file.

  [ Bas Wijnen ]
  * Revert overriding Lintian's source-is-missing error.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 10 Dec 2023 19:47:57 +0100

openmsx (19.1-1) unstable; urgency=medium

  * New upstream release.
  * Actually include new watch file in source package.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 01 Sep 2023 08:39:39 +0200

openmsx (19.0-1) unstable; urgency=medium

  * New release. Closes: #1037804
  * Add tsx2wav executable to dmktools package.
  * Add tsx2wav manual page.
  * Update watch file.
  * Update standards version to 4.6.2. No changes needed.
  * Remove obsolete versions from dependencies.
  * Fix build method for unit autopkgtest.
  * Call window by ID in run autopkgtest.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 03 Aug 2023 16:10:18 +0200

openmsx (18.0-1) unstable; urgency=medium

  * New upstream release.
  * Build system now supports riscv64. Closes: #1010148
  * Update standards version to 4.6.1. No changes needed.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 13 Jun 2022 21:41:00 +0200

openmsx (17.0-2) unstable; urgency=medium

  * Use catch2 package instead of bundled version. Closes: #993512
  * Switch to font from fonts-dejavu-core. Closes: #998269

 -- Bas Wijnen <wijnen@debian.org>  Fri, 22 Apr 2022 11:18:29 +0200

openmsx (17.0-1) unstable; urgency=medium

  * New upstream release. Closes: #984273
  * Update standards version to 4.5.1. (No changes needed.)
  * Update contact info and years in copyright file.
  * Add autopkgtests.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 25 Jun 2021 00:01:16 +0200

openmsx (16.0-1) unstable; urgency=medium

  * New release.
  * New build system uses Python3. Closes: #967191, #937203
  * Add link for svicpm2dmk manpage.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 30 Aug 2020 14:44:14 +0200

openmsx (0.15.0-2) unstable; urgency=medium

  * Add svicpm2dmk to dmktools package.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 20 Dec 2018 19:29:58 +0100

openmsx (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Add shlibs:Depends to dmktools control section.  Closes: #915588

 -- Bas Wijnen <wijnen@debian.org>  Thu, 20 Dec 2018 14:07:49 +0100

openmsx (0.14.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add patch to detect freetype2 via pkg-config (Closes: #892449)

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Oct 2018 16:19:02 +0200

openmsx (0.14.0-2) unstable; urgency=medium

  * Split dmk tools into their own binary package.
  * Fix typo in manpage.
  * Use latest tcl version.  Closes: #889043
  * Update standards version to 4.1.3.  (No changes needed.)

 -- Bas Wijnen <wijnen@debian.org>  Sun, 04 Feb 2018 18:03:29 +0100

openmsx (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Change debhelper compat level to 10.
  * Update standards version to 4.0.0.  (No changes needed.)
  * Include dmk tools.
  * Add manpage for dmk tools.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 06 Aug 2017 14:57:22 +0200

openmsx (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch which has been included upstream.
  * Use new verbosity flag instead of patch.
  * Revert recompression, as upstream now compresses without timestamp.
  * Update font patch.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 22 Sep 2016 12:24:35 +0200

openmsx (0.12.0-2) unstable; urgency=medium

  * Fix build failure with libstdc++6.  Closes: #822650
  * Use fonts from ttf-bitstream-vera instead of bundled.
  * Recompress dummy rom to get rid of timestamp.
  * Remove menu file in favor of desktop file.
  * Upgrade standards version to 3.9.8.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 01 May 2016 11:54:08 -0400

openmsx (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch and debian/copyright to reflect move to github.
  * Update homepage in debian/control.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 06 Oct 2015 09:09:16 -0400

openmsx (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove mips cpu detect patch, included in this release.
  * Update standards version to 3.9.6.  (No changes needed.)
  * Move desktop file from data package to package containing executable.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 20 Jun 2015 09:27:01 -0400

openmsx (0.10.1-2) unstable; urgency=medium

  * Disable optimization on mips to avoid compiler timeout on buildd.
    (Closes: #754757)
  * Force mipsel detection to work around autodetect bug (patch from upstream).
    (Closes: #758822)

 -- Bas Wijnen <wijnen@debian.org>  Sun, 05 Oct 2014 11:31:55 -0400

openmsx (0.10.1-1) unstable; urgency=medium

  * New upstream release.  (Closes: #752127)
  * Add desktop entry.  (Closes: #746408)

 -- Bas Wijnen <wijnen@debian.org>  Fri, 04 Jul 2014 02:37:35 -0400

openmsx (0.10.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #698315)
  * Update standards version to 3.9.5.  (No changes needed.)
  * Explicitly disable tests, which aren't present.  Thanks to Gregor Herrmann
    for the fix. (Closes: #718133)
  * Make debian/copyright follow DEP-5.
  * Remove obsolete fix for wrong permission from debian/rules.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 24 Jan 2014 21:52:29 -0500

openmsx (0.9.1-1) unstable; urgency=low

  * New upstream release. (Closes: #688935)

 -- Bas Wijnen <wijnen@debian.org>  Thu, 04 Oct 2012 10:42:35 +0200

openmsx (0.9.0-1) unstable; urgency=low

  * New upstream release. (Closes: #683492)
  * Strip all -Wl options from LDFLAGS. (Closes: #677198)

 -- Bas Wijnen <wijnen@debian.org>  Wed, 26 Sep 2012 09:40:37 +0200

openmsx (0.8.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add libao-dev and libfreetype6-dev build dependencies (Closes: #673261).

 -- Luk Claes <luk@debian.org>  Sat, 07 Jul 2012 16:40:06 +0000

openmsx (0.8.2-2) unstable; urgency=low

  * Build-depend on libpng-dev instead of libpng12-dev to help transition.
    (Closes: #662454)
  * Upgraded standards version to 3.9.3 (no changes needed).

 -- Bas Wijnen <wijnen@debian.org>  Sat, 10 Mar 2012 16:06:40 +0100

openmsx (0.8.2-1) unstable; urgency=low

  * New upstream release. (Closes: #659040, #649819)
  * Adopting the package. (Closes: #634066)
  * Remove patches which are accepted upstream.
  * Simplify build system.
  * Include zlib.h instead of declaring the struct. (Closes: #660415) 

 -- Bas Wijnen <wijnen@debian.org>  Mon, 27 Feb 2012 17:43:05 +0100

openmsx (0.8.1-4) unstable; urgency=low

  * QA upload.
  * Improve debian/rules:
    + Don't ignore errors in the clean target.
    + Don't hide commands that are being run.
    + Don't use $(CURDIR) where it's not necessary.
    + Remove commented out commands.
    + Remove spurious config.status target.
    + Add build-arch and build-indep targets.
    + Merge install-arch and install-indep targets.
    + Drop unused variables.
  * Bump debhelper compatibility level to 7.
    + Update debian/compat.
    + Update Build-Depends.
    + Don't pass --sourcedir=debian/tmp to dh_install, not needed anymore.
    + Use dh_prep instead of dh_clean -k.
  * Bump standards version to 3.9.2 (no changes needed).
  * Convert to source format 3.0 (quilt).
    + Update debian/source/format.
    + Split monolithic *.diff.gz into separate patches.
    + Undo changes to build/cpu.py, applied upstream.
    + Undo changes to build/flavour-i686.mk, not needed because we now use
      custom flavour.
  * Pass CFLAGS, CPPFLAGS and LDFLAGS acquired from dpkg-buildflags to the
    build system.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Use -O2 (rather than -O3) on ia64 (closes: #638614; works around #647552).
  * Add watch file.
  * Strip leading article from the package description.
  * Make openmsx-data recommend openmsx.
  * Move menu file from openmsx-data to openmsx.
  * Extend long description of the openmsx-data package.
  * Drop obsolete Replaces.
  * Replace ‘(C)’ with ‘©’ in the copyright file.
  * Fix a few typos in the upstream code.
  * Install docs/release-history.txt as upstream changelog.
  * Don't ship extra copy of the GPLv2 license.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 11 Nov 2011 19:25:29 +0100

openmsx (0.8.1-3) unstable; urgency=low

  * Orphaning the package.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 16:25:33 +0200

openmsx (0.8.1-2) unstable; urgency=low

  * incorporate upstream change r12202 to use ARM thumb 2
    http://openmsx.svn.sourceforge.net/viewvc/openmsx?view=revision&revision=12202

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 13:14:00 +0200

openmsx (0.8.1-1) unstable; urgency=low

  * change to 1.0 format
  * New upstream release
  * most important new things:
    - TAS: Quite complete support for Tool Assisted Speedruns,
      many TAS widgets activated in TAS mode
    - reverse: The reverse feature is enabled by default (except on Dingoo)
    - view mode added to watch replays without interrupting them
    - Replays usually contain extra snapshots enabling you to quickly go to, 
      for instance, the end
    - Option added to disable sprites and to make screenshots without sprites,
      a handy feature for people who make game maps
    - There's now a script to record movies into multiple files, very
      practical for YouTube
    - Automatically plug in real (PC) joysticks into the emulated MSX
    - emulation of seek delay
    - head-load and rotational delay on TC8566AF based disk drives.
  * important bug fixes:
    - Fixed per-soundchip-channel audio recording
    - Fixed stereo recording in mbstereo-like configurations
    - Fixed sprite collision detection (sprites can't collide in the border)
    - Fixed accuracy of mouse emulation
    - Minor fixes in MSX-AUDIO, YM2413 (Okazaki) and R800 emulation
  * new devices:
    - Flash ROM SCC+
    - ASCII Japanese MSX-DOS2
    - Sony HB-F5
    - CIEL Export Turbo machine
  * see the full release notes at
    http://sourceforge.net/projects/openmsx/files/openmsx/0.8.1/README_release-notes.txt/view

 -- Joost Yervante Damad <andete@debian.org>  Sun, 13 Mar 2011 08:26:02 +0100

openmsx (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Major new features: reverse and laserdisc support.

    with reverse you can 'rewind' time with your finger tip, to correct game
    playing mistakes or inspect what caused a crash.
    Laserdisc is the Palcom system introduced by Pioneer in 1984: now you can
    play all the Palcom MSX Laserdisc games in openMSX!

    For more details see the upstream release notes at
    http://sourceforge.net/projects/openmsx/files/openmsx/0.8.0/release-notes.txt/view

 -- Joost Yervante Damad <andete@debian.org>  Mon, 07 Jun 2010 19:04:42 +0200

openmsx (0.8.0~pre1-2) unstable; urgency=low

  * custom.mk cleanup
  * cleanup build-deps

 -- Joost Yervante Damad <andete@debian.org>  Sun, 28 Feb 2010 08:44:29 +0100

openmsx (0.8.0~pre1-1) unstable; urgency=low

  * pre-release based on svn version 11272

 -- Joost Yervante Damad <andete@debian.org>  Tue, 16 Feb 2010 19:26:18 +0100

openmsx (0.7.2-5) unstable; urgency=low

  * change source format to 3.0

 -- Joost Yervante Damad <andete@debian.org>  Sat, 19 Dec 2009 21:45:16 +0100

openmsx (0.7.2-4) unstable; urgency=low

  * fix FTBFS on debian GNU/kFreeBSD (Closes: #558201)
    (With thanks to Maarten and Cyril for doing all the work)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 27 Nov 2009 07:46:45 +0100

openmsx (0.7.2-3) unstable; urgency=low

  * backport Renesas SuperH CPU based on upstream rev 10664
    which in turn is based on a Catapult patch provided by
    Nobuhiro Iwamatsu.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 10 Oct 2009 13:29:00 +0200

openmsx (0.7.2-2) unstable; urgency=low

  * fix detection of hppa (thanks Manuel, Maarten!)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 02 Jul 2009 07:38:21 +0200

openmsx (0.7.2-1) unstable; urgency=low

  * New upstream release
    - openMSX wasn't able to load savestates with paths that contain spaces

 -- Joost Yervante Damad <andete@debian.org>  Wed, 01 Jul 2009 07:25:34 +0200

openmsx (0.7.1-1) unstable; urgency=low

  * New upstream release 0.7.1
  * find out all in /usr/share/doc/openmsx-data/release-notes.txt.gz
  * in brief:
    - Removed buggy SDLGL renderer (instead use SDLGL-PP)
    - Console now uses TrueType fonts, and can display localized text now
    - enhanced debugging possibilities
    - improved OSD
    - added some cool scripts showing off the OSD
    - speed optimizations in the CPU emulation
    - several new machines supported
    - several accuracy improvements
  * build depend on python (>= 2.5)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 29 Jun 2009 19:48:34 +0200

openmsx (0.7.0-3) unstable; urgency=low

  * add support for building on hurd-i386 (untested)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 19 Feb 2009 17:45:07 +0100

openmsx (0.7.0-2) unstable; urgency=low

  * depend on cbios (>= 0.23)
    (This is needed because openmsx 0.7.0 is more accurate
     and exposed some bugs in cbios 0.21)
  * save/load state support => (Closes: #337635)
  * updated new features list in changelog entry below
  * build-depend on libsdl-ttf2.0-dev (Oops!)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 10 Jan 2009 07:40:28 +0100

openmsx (0.7.0-1) unstable; urgency=low

  * New upstream release (0.7.0 Lazarus)
    - release notes: http://tinyurl.com/9cvgwc
    - most important new features:
      - save state support (keyboard short cuts: ALT-F7
        or Cmd+R to quick-load and ALT-F8 or Cmd-Sto
        quick-save your state)
      - Fully automatic host-MSX keyboard mapping
      - Fully transparent dir as disk
      - better debugging (e.g. break on irq)
      - Recording movies in higher resolution:
        640x480 using the "-doublesize" option
      - performance optimizations (even runs on
        a 200Mhz ARM9 for most programs)
      - screenshots of msx screen only
  * Fix compilation errors with gcc-4.4. (Closes: #504948)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 08 Jan 2009 19:29:37 +0100

openmsx (0.6.3-2) unstable; urgency=low

  * rebuild against libglew1.5

 -- Joost Yervante Damad <andete@debian.org>  Thu, 28 Feb 2008 20:04:54 +0100

openmsx (0.6.3-1) unstable; urgency=low

  * New upstream release
  * fix build dependencies
  * builds fine with gcc-snapshot (Closes: #455362)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 10 Dec 2007 14:17:35 +0100

openmsx (0.6.2-3) unstable; urgency=low

  * rebuild against libglew1.4-dev

 -- Joost Yervante Damad <andete@debian.org>  Sun, 17 Jun 2007 10:56:47 +0200

openmsx (0.6.2-2) unstable; urgency=low

  * Fix build with gcc-snapshot (Closes: #419801)

 -- Joost Yervante Damad <andete@debian.org>  Wed, 18 Apr 2007 20:55:14 +0200

openmsx (0.6.2-1) unstable; urgency=low

  * new upstream release
  * build for arch i586 instead of i686

 -- Joost Yervante Damad <andete@debian.org>  Sun, 15 Apr 2007 15:19:45 +0200

openmsx (0.6.2~pre2-2) experimental; urgency=low

  * update build/*ppc* from upstream

 -- Joost Yervante Damad <andete@debian.org>  Tue, 27 Mar 2007 05:39:46 +0000

openmsx (0.6.2~pre2-1) experimental; urgency=low

  * 2nd upstream pre-release

 -- Joost Yervante Damad <andete@debian.org>  Mon, 26 Mar 2007 17:18:58 +0000


openmsx (0.6.1-5) unstable; urgency=medium

  * update maintainer email
  * hopefully fix kfreebsd build (backported from upstream)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 30 Oct 2006 20:43:43 +0100

openmsx (0.6.1-4) unstable; urgency=medium

  * acknowledge NMU (Closes: #385197)
  * fix upgrade in testing (Closes: #387869), somehow the
    Replaces: openmsx (<< 0.6.0-3) for openmsx-data got removed between -2 and
    -3
  * make openmsx binNMU safe

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 17 Sep 2006 11:01:59 +0200

openmsx (0.6.1-3.1) unstable; urgency=low

  * NMU
  * Upload with maintainer field fixed to Joost's name.  Damn pbuilder config
    slipped past me.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon,  4 Sep 2006 20:13:09 -0300

openmsx (0.6.1-3) unstable; urgency=low
  * backport of upstream fixes for m68k build:
    don't override in cpu-xxx.mk; use a flavour
  * backport of upstream fixes for arm build:
    add -fno-inline-functions (Closes: #385197)
  * no longer use dpatch for fixes which are already incorporated in upstream
    CVS

 -- Joost Yervante Damad <joost@lumatec.be>  Sat,  2 Sep 2006 09:01:55 +0200

openmsx (0.6.1-2) unstable; urgency=low
  * use preinst script to clean up possible old /usr/share/doc/openmsx
    directory to allow new package to install the /usr/share/doc/openmsx ->
    /usr/share/doc/openmsx-data symlink

 -- Joost Yervante Damad <joost@lumatec.be>  Mon,  7 Aug 2006 21:49:36 +0200

openmsx (0.6.1-1) unstable; urgency=low
  * don't ship old hardware convert python scripts anymore
  * new upstream release 0.6.1
  * add support for power64 (Closes: #363461)
  * bump standards-version
  * debian SDL has patch for CAPSLOCK bug, soo disable workaround for it
    (Closes: #360870)
  * back to -O1 for m68k because of ICE in gcc (Closes: #337128, #360750)

 -- Joost Yervante Damad <joost@lumatec.be>  Tue,  1 Aug 2006 19:30:27 +0200

openmsx (0.6.0-1) unstable; urgency=low
  * upstream release 0.6.0
  * manpage source is now in openmsx CVS, however I still build it
  * debhelper compat level 5
  * use branch_0_6_0
  * enable jack support

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 22 Jan 2006 09:32:02 +0100

openmsx (0.5.2-5) unstable; urgency=low
  * disable verbose probe (won't work on system without /dev/stdout,
    which seems to be most recent systems) (Closes: #329055)
  * temporarely use -O1 for m68k to fix ICE (Closes: #337128)

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 20 Nov 2005 18:35:07 +0100

openmsx (0.5.2-4) unstable; urgency=low
  * compat level 4
  * gcc4 compatible (Closes: #323118)

 -- Joost Yervante Damad <joost@lumatec.be>  Tue, 23 Aug 2005 08:28:34 +0200

openmsx (0.5.2-3) unstable; urgency=low
  * no -ba build

 -- Joost Yervante Damad <joost@lumatec.be>  Mon,  4 Jul 2005 21:08:03 +0200

openmsx (0.5.2-2) unstable; urgency=low
  * patch for ppc build
  * patch for 68k build
  * patch for verbose probe, to try and find issues on some archs

 -- Joost Yervante Damad <joost@lumatec.be>  Mon,  4 Jul 2005 19:16:07 +0200

openmsx (0.5.2-1) unstable; urgency=low
  * new upstream release
  * build on all archs (Closes: #307252)
  * updated IPS patch support (Closes: #305853)

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 19 Jun 2005 15:13:55 +0200

openmsx (0.5.1-2) unstable; urgency=low

  * arch changed to only i386 for now; will add other architectures later
  * build against sid, not against testing (Closes: #303144)
 
 -- Joost Yervante Damad <joost@lumatec.be>  Tue,  5 Apr 2005 19:04:27 +0200

openmsx (0.5.1-1) unstable; urgency=low

  * new upstream release


 -- Joost Yervante Damad <joost@lumatec.be>  Sat,  5 Mar 2005 14:54:30 +0100

openmsx (0.5.0-10) unstable; urgency=low

  * close ITP (Closes: #221086)
  * add lintian-override for E: openmsx: python-script-but-no-python-dep
    ./usr/share/openmsx/scripts/convert_hardwareconfig.py; because this script
    is useful but only for users of openmsx before the package
  * fix W: openmsx source: virtual-package-depends-without-real-package-depends
    build-depends: libgl-dev
  * fix W: openmsx: unquoted-string-in-menu-item /usr/lib/menu/openmsx needs:1

 -- Joost Yervante Damad <joost@lumatec.be>  Sun,  6 Feb 2005 12:28:19 +0100


openmsx (0.5.0-9) unstable; urgency=low

  * change architecture to any

 -- Joost Yervante Damad <joost@lumatec.be>  Tue, 25 Jan 2005 19:03:56 +0100


openmsx (0.5.0-8) unstable; urgency=low

  * fix menu

 -- Joost Yervante Damad <joost@lumatec.be>  Mon, 10 Jan 2005 19:30:48 +0100


openmsx (0.5.0-7) unstable; urgency=low

  * clarified licensing more
  * implemented comments from Sponsor:
       - updated description
       - introduced dpatch

 -- Joost Yervante Damad <joost@lumatec.be>  Thu,  6 Jan 2005 20:41:19 +0100


openmsx (0.5.0-6) unstable; urgency=low

  * erase manpage on clean, properly

 -- Joost Yervante Damad <joost@lumatec.be>  Sat,  1 Jan 2005 10:40:24 +0100


openmsx (0.5.0-5) unstable; urgency=low

  * erase manpage on clean
  * clean up debian/rules

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 26 Dec 2004 13:59:02 +0100


openmsx (0.5.0-4) unstable; urgency=low

  * add note to README.Debian about the local settings
  * delete unneeded copy of GPL

 -- Joost Yervante Damad <joost@lumatec.be>  Mon, 20 Dec 2004 11:35:10 +0100


openmsx (0.5.0-3) unstable; urgency=low

  * add build-depends for libxml2-dev
  * build in sarge, to ease dependencies

 -- Joost Yervante Damad <joost@lumatec.be>  Mon, 20 Dec 2004 09:21:02 +0100


openmsx (0.5.0-2) unstable; urgency=low

  * don't install cbios
  * use external cbios
  * fix short description

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 19 Dec 2004 21:58:33 +0100


openmsx (0.5.0-1) unstable; urgency=low

  * Sync with upstream.

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 06 Nov 2004 08:40:16 +0200


openmsx (0.4.0-1) unstable; urgency=low

  * Initial Release.

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 10 Oct 2004 14:58:16 +0200

